Table of Contents

Class: external_data_manager | ../bkchem/external_data.py
--- | ---
Base Classes |
--- | ---
object
Methods |
--- | ---
__init__ conforms_to_type convert_to_type expand_type get_data get_definition_classes get_definitions_for_class_and_type | get_package load_available_definitions read_data_definition read_package set_data value_matches_definition
| __init__
    __init__ ( self )
| conforms_to_type
    conforms_to_type (
            self,
            value,
            t,
            )
| convert_to_type
    convert_to_type (
            self,
            value,
            vtype,
            )
| expand_type
    expand_type ( self,  t )
| get_data
    get_data (
            self,
            dclass,
            obj,
            category,
            )
gets data for an object from the internal dictionary, returns None if such data are not available for that object
Exceptions |
--- | ---
ValueError, "not registered dclass: %s" % dclass ValueError, "wrong category '%s' for type '%s' in dclass '%s'" %( category, obj.object_type, dclass ) ValueError, "wrong object type '%s' for dclass '%s'" %( obj.object_type, dclass )
| get_definition_classes
    get_definition_classes ( self )
| get_definitions_for_class_and_type
    get_definitions_for_class_and_type (
            self,
            def_class,
            item_type,
            )
| get_package
    get_package ( self,  doc )
| load_available_definitions
    load_available_definitions ( self )
| read_data_definition
    read_data_definition ( self,  filename )
| read_package
    read_package ( self,  root )
reads the data from xml (CDML) format. Is not intended for reading of definition files, use read_data_definition instead
| set_data
    set_data (
            self,
            dclass,
            obj,
            category,
            value,
            )
sets the data into the internal dictionary
Exceptions |
--- | ---
ValueError, "the value '%s' type does not match the definition." % str( value )
| value_matches_definition
    value_matches_definition (
            self,
            dclass,
            obj,
            category,
            value,
            )
checks if the value is of the type provided in definition
Exceptions |
--- | ---
ValueError, "not registered dclass: %s" % dclass ValueError, "wrong category '%s' for type '%s' in dclass '%s'" %( category, obj.object_type, dclass ) ValueError, "wrong object type '%s' for dclass '%s'" %( obj.object_type, dclass )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1